﻿@model IEnumerable<MIMS.Portal.ViewModels.PspPasargadViewModel>
@using MIMS.Portal.Core.Domains;
@using MIMS.Portal.Commons.Extensions;



<div class="table-responsive">
    <table class="table table-hover header-border text-nowrap">
        <thead class="thead-inverse">
            <tr>
                <th>@Html.DisplayNameFor(model => model.NationalCode)</th>
                <th>@Html.DisplayNameFor(model => model.FirstName)</th>
                <th>@Html.DisplayNameFor(model => model.LastName)</th>
                <th>@Html.DisplayNameFor(model => model.FatherName)</th>
                <th>@Html.DisplayNameFor(model => model.EnglishFirstName)</th>
                <th>@Html.DisplayNameFor(model => model.EnglishLastName)</th>
                <th>@Html.DisplayNameFor(model => model.EnglishFatherName)</th>
                <th>@Html.DisplayNameFor(model => model.Gender)</th>
                <th>@Html.DisplayNameFor(model => model.BirthDate)</th>
                <th>@Html.DisplayNameFor(model => model.Phone)</th>
                <th>@Html.DisplayNameFor(model => model.Mobile)</th>
                <th>@Html.DisplayNameFor(model => model.ReferrerFirstName)</th>
                <th>@Html.DisplayNameFor(model => model.ReferrerLastName)</th>
                <th>@Html.DisplayNameFor(model => model.ReferrerPhone)</th>
                <th>@Html.DisplayNameFor(model => model.ReferrerMobile)</th>
                <th>@Html.DisplayNameFor(model => model.AccountIban)</th>
                <th>@Html.DisplayNameFor(model => model.AccountNumber)</th>
                <th>@Html.DisplayNameFor(model => model.BankName)</th>
                <th>@Html.DisplayNameFor(model => model.BankBranchCode)</th>
                <th>@Html.DisplayNameFor(model => model.PostalCode)</th>
                <th>@Html.DisplayNameFor(model => model.BusinessScopeId)</th>
                <th>@Html.DisplayNameFor(model => model.StoreName)</th>
                <th>@Html.DisplayNameFor(model => model.EnglishStoreName)</th>
                <th>@Html.DisplayNameFor(model => model.ResidenceType)</th>
                <th>@Html.DisplayNameFor(model => model.TaxTrackingCode)</th>
                <th>@Html.DisplayNameFor(model => model.DeviceConnectionType)</th>

                <th><em class="fa fa-cog"></em></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>

                    <td class="copy">@item.NationalCode</td>
                    <td class="copy">@item.FirstName</td>
                    <td class="copy">@item.LastName</td>
                    <td class="copy">@item.FatherName</td>
                    <td class="copy">@item.EnglishFirstName</td>
                    <td class="copy">@item.EnglishLastName</td>
                    <td class="copy">@item.EnglishFatherName</td>
                    <td class="copy">@Html.DisplayFor(model => item.Gender)</td>
                    <td class="copy">@item.BirthDate</td>
                    <td class="copy">@item.Phone</td>
                    <td class="copy">@item.Mobile</td>
                    <td class="copy">@item.ReferrerFirstName</td>
                    <td class="copy">@item.ReferrerLastName</td>
                    <td class="copy">@item.ReferrerPhone</td>
                    <td class="copy">@item.ReferrerMobile</td>
                    <td class="copy">@item.AccountIban</td>
                    <td class="copy">@item.AccountNumber</td>
                    <td class="copy">@item.BankName</td>
                    <td class="copy">@item.BankBranchCode</td>
                    <td class="copy">@item.PostalCode</td>
                    <td class="copy">@item.BusinessScopeName</td>
                    <td class="copy">@item.StoreName</td>
                    <td class="copy">@item.EnglishStoreName</td>
                    <td class="copy">@Html.DisplayFor(model => item.ResidenceType)</td>
                    <td class="copy">@item.TaxTrackingCode</td>
                    <td class="copy">@Html.DisplayFor(model => item.DeviceConnectionType)</td>
                    <td align="center">
                        @{
                            var parms = new Dictionary<string, string>
                                                                                                                {
                { "id", item.Id.ToString()},
                { "psp", "pep" }
            };
                        }
                        <a asp-action="Done" asp-controller="DataTransfer" asp-all-route-data="parms" asp-route-id="@item.Id" class="btn btn-default" data-toggle="tooltip" title="تایید انتقال اطلاعات"><i class="fa fa-fw fa-mail-forward"></i></a>
                    </td>
                </tr>
            }

        </tbody>
    </table>
</div>





